%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27
%define smp_utils_version       0.94
%define lvm2_version            2.02.78

#define git 20100315
Summary: Storage Management Service
Name: udisks
Version: 1.0.2
%define subrel 1
Release: %mkrel 3
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (cg) Attempt to make SD/xD card slots and friends work nicely.
Patch0: udisks-smartcard.patch
Patch1: udisks-1.0.2-CVE-2010-4661.patch

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-1-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: libgudev-devel >= %{udev_version}
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils-devel >= %{sg3_utils_version}
BuildRequires: gtk-doc
BuildRequires: liblvm2app-devel >= %{lvm2_version}
BuildRequires: libtool
# needed to pull in the system bus daemon
Requires: dbus >= %{dbus_version}
# needed to pull in the udev daemon
Requires: udev >= %{udev_version}
Suggests: mdadm >= %{mdadm_version}
#gw not yet packaged:
# for smp_rep_manufacturer
#Requires: smp_utils >= %{smp_utils_version}
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Suggests: xfsprogs
# for mkfs.vfat
Suggests: dosfstools
# for mlabel
Requires: mtools
# for mkntfs - no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests: ntfsprogs
%endif

# Obsolete and Provide DeviceKit-disks - udisks provides exactly the same
# ABI just with a different name and versioning-scheme
#
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/C
Requires: %{name} = %{version}-%{release}
# See comment above
#
Obsoletes: devicekit-disks-devel <= 009
Provides: devicekit-disks-devel = 010

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-gtk-doc
make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/polkit-1/extensions/*.la
rm -f %{buildroot}%{_libdir}/polkit-1/extensions/*.a

# TODO: should be fixed upstream
chmod 0644 %{buildroot}%{_sysconfdir}/profile.d/udisks-bash-completion.sh

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/avahi/services/udisks.service
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander
/lib/udev/udisks-lvm-pv-export
/sbin/umount.udisks

%{_bindir}/*
%{_libexecdir}/udisks-daemon
%{_libexecdir}/udisks-helper*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy

%{_libdir}/polkit-1/extensions/*.so

%{_datadir}/dbus-1/system-services/*.service

%attr(0700,root,root) %dir %{_localstatedir}/run/udisks
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/pkgconfig/udisks.pc

%dir %{_datadir}/gtk-doc/html/udisks
%{_datadir}/gtk-doc/html/udisks/*


%changelog

* Thu Aug 16 2012 luigiwalser <luigiwalser> 1.0.2-3.1.mga1
+ Revision: 281454
- add upstream patch to fix CVE-2010-4661

* Thu Mar 24 2011 boklm <boklm> 1.0.2-3.mga1
+ Revision: 76215
- rebuild for bug #497

* Mon Mar 21 2011 colin <colin> 1.0.2-2.mga1
+ Revision: 75321
- Add patch to make SD/xD card slots work properly

* Sat Jan 15 2011 dmorgan <dmorgan> 1.0.2-1.mga1
+ Revision: 18157
- imported package udisks

